Bug 1260617 - Rename vim-plugin-powerline to vim-powerline
Rename vim-plugin-powerline to vim-powerline
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: powerline (Show other bugs)
rawhide
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Andreas Schneider
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-09-07 07:29 EDT by Vít Ondruch
Modified: 2015-10-14 02:56 EDT (History)
1 user (show)

See Also:
Fixed In Version: powerline-2.2-2.fc23 powerline-2.2-2.fc22
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-10-05 14:15:35 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Vít Ondruch 2015-09-07 07:29:15 EDT
Description of problem:
vim-plugin-* seems to be SUSE convention while Fedora packages are using just vim-* prefix. Please rename the subpackage to vim-powerline to help discoverability.

$ dnf search vim-
Last metadata expiration check performed 0:18:52 ago on Mon Sep  7 13:08:19 2015.
=============================== N/S Matched: vim- ================================
vim-latex-doc.noarch : Documentation for vim-latex
vim-go.noarch : Go development plugin for Vim
vim-X11.x86_64 : The VIM version of the vi editor for the X Window System
vim-rnv.noarch : Vim plugin for validating XML files against Relax NG Compact
               : schemas using RNV
vim-jedi.noarch : The Jedi vim plugin
vim-latex.noarch : Tools to view, edit and compile LaTeX documents in Vim
vim-common.x86_64 : The common files needed by any version of the VIM editor
vim-minimal.x86_64 : A minimal version of the VIM editor
vim-halibut.noarch : Syntax file for the halibut manual tool
vim-pysmell.noarch : Python autocompletion for vim
vim-taglist.noarch : The taglist plugin for VIM editor
vim-enhanced.x86_64 : A version of the VIM editor which includes recent
                    : enhancements
vim-fugitive.noarch : A Git wrapper so awesome, it should be illegal
vim-nerdtree.noarch : A tree explorer plugin for the editor Vim
vim-command-t.x86_64 : An extremely fast, intuitive mechanism for opening files in
                     : VIM
vim-filesystem.x86_64 : VIM filesystem layout
vim-gtk-syntax.noarch : Vim syntax highlighting for GLib, Gtk+, Gstreamer, and
                      : more
vim-javabrowser.noarch : The javabrowser plugin for VIM editor
vim-vimoutliner.noarch : Script for building an outline editor on top of Vim
vim-clustershell.noarch : VIM files for ClusterShell
vim-perl-support.noarch : Perl-IDE for VIM
fluxbox-vim-syntax.noarch : Fluxbox syntax scripts for vim
vim-omnicppcomplete.noarch : vim c++ completion omnifunc with a ctags database
vim-plugin-powerline.noarch : Powerline VIM plugin
beakerlib-vim-syntax.noarch : Files for syntax highlighting BeakerLib tests in VIM
                            : editor
texlive-context-vim-doc.noarch : Documentation for context-vim
eclipse-vrapper.noarch : Vim-like editing in Eclipse

Version-Release number of selected component (if applicable):
$ rpm -q vim-plugin-powerline
vim-plugin-powerline-2.1-1.fc22.noarch


How reproducible:


Steps to Reproduce:
1.
2.
3.

Actual results:


Expected results:


Additional info:
Comment 1 Fedora Update System 2015-09-17 10:55:27 EDT
powerline-2.2-2.fc23 has been submitted as an update to Fedora 23. https://bodhi.fedoraproject.org/updates/FEDORA-2015-16100
Comment 2 Fedora Update System 2015-09-17 12:21:08 EDT
powerline-2.2-2.fc22 has been submitted as an update to Fedora 22. https://bodhi.fedoraproject.org/updates/FEDORA-2015-16116
Comment 3 Fedora Update System 2015-09-17 17:29:37 EDT
powerline-2.2-2.fc23 has been pushed to the Fedora 23 testing repository. If problems still persist, please make note of it in this bug report.\nIf you want to test the update, you can install it with \n su -c 'yum --enablerepo=updates-testing update powerline'. You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2015-16100
Comment 4 Fedora Update System 2015-09-18 12:24:08 EDT
powerline-2.2-2.fc22 has been pushed to the Fedora 22 testing repository. If problems still persist, please make note of it in this bug report.\nIf you want to test the update, you can install it with \n su -c 'yum --enablerepo=updates-testing update powerline'. You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2015-16116
Comment 5 Fedora Update System 2015-10-05 14:15:29 EDT
powerline-2.2-2.fc23 has been pushed to the Fedora 23 stable repository. If problems still persist, please make note of it in this bug report.
Comment 6 Fedora Update System 2015-10-14 02:56:41 EDT
powerline-2.2-2.fc22 has been pushed to the Fedora 22 stable repository. If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.